Bug 274323 - Default stroke properties
Summary: Default stroke properties
Status: RESOLVED FIXED
Alias: None
Product: kst
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.4
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: 2.0.4
Assignee: kst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-28 03:51 UTC by D. V. Wiebe
Modified: 2011-06-28 21:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D. V. Wiebe 2011-05-28 03:51:20 UTC
Although having both "Fonts" and "Default Fill Properties" tabs, the Kst Settings dialog box lacks the corresponding "Default Stroke" tab, which makes the prospect bug 274321 being fixed somewhat less awesome than I would like.

PS.  If I might indulge my copy editing neuroses for a moment: in the settigns dialog box, for consistency, shouldn't "Fonts" be called "Default Font Properties" or else "Default Fill Properties" just be called "Fill"?
Comment 1 Netterfield 2011-06-08 15:14:53 UTC
Same bug, fundamentally, as 274321.
Comment 2 Netterfield 2011-06-16 18:51:35 UTC
SVN commit 1237013 by netterfield:

CCBUG: 274323 
CCBUG: 274321
All view objects for which fill and stroke mean anything can now save their default fill and stroke.
View objects for which these things don't make sense (eg, fill for lines) no longer have the tab in their
dialogs.



 M  +2 -0      arrowitem.cpp  
 M  +6 -0      arrowitem.h  
 M  +2 -0      boxitem.cpp  
 M  +6 -0      boxitem.h  
 M  +1 -0      cartesianrenderitem.h  
 M  +2 -0      circleitem.cpp  
 M  +6 -0      circleitem.h  
 M  +2 -0      ellipseitem.cpp  
 M  +6 -0      ellipseitem.h  
 M  +6 -6      labelitem.cpp  
 M  +6 -0      labelitem.h  
 M  +2 -0      layoutboxitem.h  
 M  +22 -50    legenditem.cpp  
 M  +6 -0      legenditem.h  
 M  +1 -0      lineitem.cpp  
 M  +6 -0      lineitem.h  
 M  +6 -0      pictureitem.h  
 M  +79 -139   plotitem.cpp  
 M  +6 -0      plotitem.h  
 M  +1 -0      sharedaxisboxitem.h  
 M  +6 -0      svgitem.h  
 M  +78 -0     viewitem.cpp  
 M  +12 -0     viewitem.h  
 M  +33 -5     viewitemdialog.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1237013
Comment 3 Nicolas Brisset 2011-06-28 21:12:30 UTC
Fixed by Barth in commit 1238324. For some reason the post-commit hook did not
work...